Subject: Key usage of X509 certificate

From: "yew meng" <[email-masked]>
Date: Mon, 12 Nov 2001 10:55:55 +0800

Hi,
I had a question on the key usage of X509 certificate. I noticed that most
certificates issue by Certificate Authorities include a constraint extension
of key usage in their user certificate. But some CAs mark the extension as
critical, but some don't. I wondered which is a more correct way? It is
stated in RFC2459, when the extension is used, it should be marked critical.
Thanks.
Regards,

Regards,

Ng Yew Meng